# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate phf_shared

Name:           rust-%{crate}
Version:        0.7.24
Release:        1%{?dist}
Summary:        Support code shared by PHF libraries

# https://github.com/sfackler/rust-phf/pull/118
License:        MIT
URL:            https://crates.io/crates/phf_shared
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Remove unicase dependency, https://github.com/sfackler/rust-phf/pull/117
Patch0:         phf_shared-0.7.22-fix-metadata.diff
# Really remove unicase
Patch1:         0001-Remove-unicase-support.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(siphasher/default) >= 0.2.0 with crate(siphasher/default) < 0.3.0)

%global _description \
Support code shared by PHF libraries.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+core-devel %{_description}

This package contains library source intended for building other packages
which use "core" feature of "%{crate}" crate.

%files       -n %{name}+core-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -N
%patch0 -p1
%patch1 -p2
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.7.24-1
- Update to 0.7.24

* Fri Nov 09 2018 Josh Stone <jistone@redhat.com> - 0.7.23-2
- Adapt to new packaging

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.7.23-1
- Update to 0.7.23

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.7.22-1
- Update to 0.7.22

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.21-1
- Initial package
